<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:37 CEST 2019 -->
<title>org.firebirdsql.gds.impl (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.gds.impl (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../org/firebirdsql/gds/impl/argument/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/impl/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.firebirdsql.gds.impl</h1>
<div class="docSummary">
<div class="block">
        This package contains classes for the pluggable GDS implementations.</div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html" title="interface in org.firebirdsql.gds.impl">DatabaseParameterBufferExtension</a></td>
<td class="colLast">
<div class="block">Extension of the <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>DatabaseParameterBuffer</code></a> 
 interface that allows GDS implementations remove the DPB extension parameters
 that driver implementation uses for client-side configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/impl/GDSFactoryPlugin.html" title="interface in org.firebirdsql.gds.impl">GDSFactoryPlugin</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html" title="interface in org.firebirdsql.gds.impl">ParameterBufferMetaData</a></td>
<td class="colLast">
<div class="block">Additional metadata for parameter buffer behavior.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/impl/BaseGDSFactoryPlugin.html" title="class in org.firebirdsql.gds.impl">BaseGDSFactoryPlugin</a></td>
<td class="colLast">
<div class="block">Base class for <a href="../../../../org/firebirdsql/gds/impl/GDSFactoryPlugin.html" title="interface in org.firebirdsql.gds.impl"><code>GDSFactoryPlugin</code></a> implementations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/impl/BlobParameterBufferImp.html" title="class in org.firebirdsql.gds.impl">BlobParameterBufferImp</a></td>
<td class="colLast">
<div class="block">Implementation of BlobParameterBuffer.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferImp.html" title="class in org.firebirdsql.gds.impl">DatabaseParameterBufferImp</a></td>
<td class="colLast">
<div class="block">Implementation for DatabaseParameterBuffer.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/impl/DbAttachInfo.html" title="class in org.firebirdsql.gds.impl">DbAttachInfo</a></td>
<td class="colLast">
<div class="block">Container for attachment information (ie server, port and filename/alias).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/impl/GDSFactory.html" title="class in org.firebirdsql.gds.impl">GDSFactory</a></td>
<td class="colLast">
<div class="block">The class <code>GDSFactory</code> exists to provide a way to obtain objects
 implementing GDS and Clumplet.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html" title="class in org.firebirdsql.gds.impl">GDSHelper</a></td>
<td class="colLast">
<div class="block">Helper class for all GDS-related operations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/impl/GDSServerVersion.html" title="class in org.firebirdsql.gds.impl">GDSServerVersion</a></td>
<td class="colLast">
<div class="block">Object representing a Firebird server version.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a></td>
<td class="colLast">
<div class="block">Type-safe "enumeration" of the GDS types registered in the system.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html" title="class in org.firebirdsql.gds.impl">ParameterBufferBase</a></td>
<td class="colLast">
<div class="block">Base class for parameter buffers</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.html" title="class in org.firebirdsql.gds.impl">ServiceParameterBufferImp</a></td>
<td class="colLast">
<div class="block">Implementation of ServiceParameterBuffer.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/impl/ServiceRequestBufferImp.html" title="class in org.firebirdsql.gds.impl">ServiceRequestBufferImp</a></td>
<td class="colLast">
<div class="block">Implementation of ServiceRequestBufferImp.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/impl/TransactionParameterBufferImpl.html" title="class in org.firebirdsql.gds.impl">TransactionParameterBufferImpl</a></td>
<td class="colLast">
<div class="block">Implementation of the <a href="../../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>TransactionParameterBuffer</code></a> interface.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferImp.DpbMetaData.html" title="enum in org.firebirdsql.gds.impl">DatabaseParameterBufferImp.DpbMetaData</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html" title="enum in org.firebirdsql.gds.impl">ServiceParameterBufferImp.SpbMetaData</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/impl/ServiceRequestBufferImp.SrbMetaData.html" title="enum in org.firebirdsql.gds.impl">ServiceRequestBufferImp.SrbMetaData</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/impl/TransactionParameterBufferImpl.TpbMetaData.html" title="enum in org.firebirdsql.gds.impl">TransactionParameterBufferImpl.TpbMetaData</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Exception Summary table, listing exceptions, and an explanation">
<caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/impl/GDSServerVersionException.html" title="class in org.firebirdsql.gds.impl">GDSServerVersionException</a></td>
<td class="colLast">
<div class="block">Exception is thrown when server returns a version string in a format that
 this driver does not understand.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package org.firebirdsql.gds.impl Description">Package org.firebirdsql.gds.impl Description</h2>
<div class="block"><p>
        This package contains classes for the pluggable GDS implementations.
        </p></div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../org/firebirdsql/gds/impl/argument/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/impl/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
